package com.muyu.rule.common.engine;


import com.alibaba.fastjson2.JSON;

import com.muyu.etl.domain.DataValue;
import com.muyu.rule.common.basic.abstracts.DataEngineValueActuator;
import com.muyu.rule.common.domain.DataValueFie;
import com.muyu.rule.common.exception.DeliteException;

/**
 * @Author：张承志
 * @Package：com.muyu.rule.server.basic.engine
 * @Project：cloud-etl-rule
 * @name：非空抛出异常 进行删除
 * @Date：2024/8/29 15:51
 */
public class ENGINE_VALUE_VFD1000_V1 extends DataEngineValueActuator {
    @Override
    public void run() {
        DataValueFie dataValueFie = get();
        System.out.println("==="+dataValueFie);
        DataValue dataValue = dataValueFie.getDataValue();
        System.out.println("----"+dataValue);
        if (dataValue.getValue() == null){
            throw new DeliteException("数据为空，需要丢弃!");
        }else{
            System.out.println("数据非空："+dataValue.getValue());
        }
        set(dataValueFie);
    }
}
